Subject: [PATCH 2/6] ARM: OMAP2+: Remove board-omap4panda.c

From: [email-masked] (Arnaud Patard (Rtp))
Date: Mon, 17 Jun 2013 11:46:11 +0200

Tony Lindgren <[email-masked]> writes:

Hi,

> * Arnaud Patard <[email-masked]> [130617 01:13]:
>> 
>> I hoped to have missed some mails and that people were testing pandabard
>> support with full support but given what I see, the ethernet support is
>> not there yet. This thread is about removing the non-DT boot. I see some
>> contradiction here. Please, look again at what Thomas said in the IGEP thread:
>> breaking existing support is bad and removing non-DT boot for panda with
>> not-working ethernet would exactly to that.
>
> Hmm yes I guess the panda needs the aux clock and there are various
> patches posted for that for quite a while but have not gotten merged.

yes, it needs aux clock, see: https://lkml.org/lkml/2013/4/19/124

>
> When I did my patches it seemed that Nishant's and my solution for
> getting the auxclk via DT was acceptable. Then Mike started doing
> all the clocks in DT and things changed.
>
> Mike, got any solution for us for v3.11 for the DT defined auxclk?
>  
>> Yeah, I'm aware that some extra patches are being developped like the
>> omap clocks one: https://patchwork.kernel.org/patch/2541331/ but they
>> don't seem to be in -next. So, again, please, wait that all needed bits
>> are merged mainline before killing non-DT support (or provide 'mixed'
>> support like what is/was done on kirkwood)
>
> The ethernet issue can be fixed with the legacy mode support in the
> worst case, but probably just adding a clock alias for it does the
> trick.
>
> I'd rather not postpone making omap4 DT only because I think at this
> point fixing the any DT related issues is way less work compared to
> maintaining and testing both legacy boot and DT boot.

I understand your concerns but, please, cope with reality: the clock
work is not in -next so this tends to make me think it won't reach
3.11. We're at -rc6 after all. Telling users that their system doesn't
have any network because it was easier to maintain, is not something
they will understand imho.

Regards,
Arnaud